#version 330
#ifdef GL_ARB_shading_language_420pack
#extension GL_ARB_shading_language_420pack : require
#endif

uniform sampler2D tex;

in vec3 normal;
in vec3 lightDirection;
in vec3 eyeCoord;
out vec4 _gl_FragColor;
in vec2 texCoord;
in vec4 tintCol;

void main()
{
    vec4 ambient = vec4(0.4000000059604644775390625, 0.4000000059604644775390625, 0.4000000059604644775390625, 1.0);
    vec3 nor = normalize(normal);
    vec3 lightDir = normalize(lightDirection);
    vec4 diffuse = (vec4(0.5, 0.5, 0.5, 1.0) * max(dot(lightDir, nor), 0.0));
    vec3 halfVector = normalize((lightDir - normalize(eyeCoord)));
    vec4 specular = (vec4(0.5, 0.5, 0.5, 1.0) * pow(max(0.0, dot(halfVector, nor)), 0.5));
    vec4 light = ((ambient + diffuse) + specular);
    _gl_FragColor = ((light * texture(tex, texCoord)) * tintCol);
}

