#version 330
#ifdef GL_ARB_shading_language_420pack
#extension GL_ARB_shading_language_420pack : require
#endif

uniform mat4 V;
uniform vec3 lightPos;
uniform mat4 P;

out vec3 eyeCoord;
in mat4 M;
in vec3 pos;
out vec3 lightDirection;
out vec2 texCoord;
in vec2 tex;
out vec3 normal;
in mat4 N;
in vec3 nor;
out vec4 tintCol;
in vec4 tint;

void main()
{
    eyeCoord = ((V * M) * vec4(pos, 1.0)).xyz;
    vec3 transformedLightPos = ((V * M) * vec4(lightPos, 1.0)).xyz;
    lightDirection = (transformedLightPos - eyeCoord);
    gl_Position = (P * vec4(eyeCoord.x, eyeCoord.y, eyeCoord.z, 1.0));
    texCoord = tex;
    normal = (N * vec4(nor, 0.0)).xyz;
    tintCol = tint;
}

